import { PlatformBuilder } from "@tsed/common";
import serverless from "serverless-http";
export class PlatformServerlessHttp {
    static bootstrap(module, settings) {
        const platform = PlatformBuilder.create(module, settings);
        const promise = platform.listen();
        platform.handler = () => {
            let handler;
            return async (event, context) => {
                // istanbul ignore else
                if (!handler) {
                    await promise;
                    handler = serverless(platform.callback(), {
                        request(request) {
                            request.serverless = { event, context };
                        }
                    });
                }
                return handler(event, context);
            };
        };
        return platform;
    }
}
//# sourceMappingURL=PlatformServerlessHttp.js.map